jquery.tipsy: Don't use deprecated/removed 'context' and 'selector' features
Closed, ResolvedPublic

Description

To avoid breaking jQuery Tipsy, we re-enabled the 'live' option using context and selector in aa524075ac734fbf584bb9ff69fa10ec2883df20 . However, these are deprecated (selector is actually officially 'removed', even though it isn't yet literally since it's there to implement jQuery Migrate).

Thus, we need to stop using this deprecated functionality and find another way to solve the problem.

See T69989: [jquery.tipsy] Uses deprecated $.fn.live when using live option.

matmarex removed a subscriber: Unknown Object (MLST).
Mattflaschen-WMF raised the priority of this task from "Normal" to "High".Jan 13 2015, 1:41 AM

Change 300854 abandoned by Bartosz Dziewoński:
jquery.tipsy: Remove support for 'live' option

Reason:
I have too many open changes and no one seems excited about this.

https://gerrit.wikimedia.org/r/300854

Change 300854 restored by Jforrester:
jquery.tipsy: Remove support for 'live' option

Reason:
Apparently we're going to do the jQ3 thing quite soon, so…

https://gerrit.wikimedia.org/r/300854

Krinkle changed the title from "Don't use deprecated/removed 'context' and 'selector' features" to "jquery.tipsy: Don't use deprecated/removed 'context' and 'selector' features".Nov 24 2016, 1:32 AM

Change 300854 merged by jenkins-bot:
jquery.tipsy: Remove support for 'live' option

https://gerrit.wikimedia.org/r/300854

Jdforrester-WMF closed this task as "Resolved".Dec 17 2016, 2:33 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF reassigned this task from Jdforrester-WMF to matmarex.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
matmarex removed matmarex as the assignee of this task.Dec 17 2016, 2:35 AM